package sra.jun.goodies.animation;

import java.awt.Rectangle;

import sra.jun.system.support.JunTestExamples;
import sra.smalltalk.StImage;

/**
 * JunCartoonMovieTestExamples class
 * 
 *  @author    Nobuto Matsubara
 *  @created   2004/02/05 (By Nobuto Matsubara)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun526 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCartoonMovieTestExamples.java,v 6.7 2004/04/15 06:27:53 nisinaka Exp $
 */
public class JunCartoonMovieTestExamples extends JunTestExamples {

	public static boolean Example1() {
		JunCartoonMovie catoonMovie = new JunCartoonMovie();
		catoonMovie.addImage_keepTime_(StImage._OfArea(new Rectangle(0, 0, 400, 300)), 3000);
		catoonMovie.addImage_keepTime_(StImage._OfArea(new Rectangle(10, 10, 400, 300)), 2000);
		catoonMovie.addImage_keepTime_(StImage._OfArea(new Rectangle(20, 20, 400, 300)), 1000);
		catoonMovie.open();
		return true;
	}

	public static boolean Example2() {
		JunCartoonMovie catoonMovie = new JunCartoonMovie();
		catoonMovie.addImage_keepTime_(StImage._OfArea(new Rectangle(0, 0, 512, 384)), 1000);
		catoonMovie.addImage_keepTime_(StImage._OfArea(new Rectangle(10, 10, 512, 384)), 2000);
		catoonMovie.addImage_keepTime_(StImage._OfArea(new Rectangle(20, 20, 512, 384)), 3000);
		catoonMovie.addImage_keepTime_(StImage._OfArea(new Rectangle(30, 30, 512, 384)), 4000);
		catoonMovie.displayName_("Sample");
		catoonMovie.open();
		return true;
	}

	public static boolean Example3() {
		JunCartoonMovie catoonMovie = new JunCartoonMovie();
		catoonMovie.addImage_keepTime_(StImage._FromUser(), 3000);
		catoonMovie.addImage_keepTime_(StImage._FromUser(), 2000);
		catoonMovie.addImage_keepTime_(StImage._FromUser(), 1000);
		catoonMovie.open();
		return true;
	}

	public static void main(String argv[]) {
		new JunCartoonMovieTestExamples();
	}

}
