package sra.jun.goodies.colors;

import sra.smalltalk.StSimpleDialogView;

/**
 * JunColorChoiceDialogView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2003/04/02 (by Mitsuhiro Asada)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun490 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunColorChoiceDialogView.java,v 6.6 2004/04/15 06:27:55 nisinaka Exp $
 */
public interface JunColorChoiceDialogView extends StSimpleDialogView {

	/**
	 * Answer my model as a JunColorChoiceDialog.
	 * 
	 * @return sra.jun.goodies.colors.JunColorChoiceDialog
	 * @category model accessing
	 */
	public JunColorChoiceDialog getColorChoiceDialog();
}
