package sra.jun.goodies.colors;

import java.awt.Color;
import sra.smalltalk.SystemInterface;

/**
 * JunColorSpuit class
 * 
 *  @author    Hoshi Takanori
 *  @created   2002/03/04 (by Hoshi Takanori)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunColorSpuit.java,v 6.6 2004/04/15 06:27:56 nisinaka Exp $
 */
public class JunColorSpuit {
	/**
	 * Request color spuit.
	 * 
	 * @return java.awt.Color
	 * @category Utilities
	 */
	public static Color Request() {
		SystemInterface StPLInterface = SystemInterface.Current();
		synchronized (StPLInterface) {
			return new Color(StPLInterface.utilColorSpuit());
		}
	}
}