package sra.jun.goodies.nib;

import sra.smalltalk.StSimpleDialogView;

/**
 * JunNibChoiceWithColorDialogView interface
 * 
 *  @author    Nobuto Matsubara
 *  @created   2004/03/26 (By Nobuto Matsubara)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun490 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunNibChoiceWithColorDialogView.java,v 6.1 2004/04/15 06:28:00 nisinaka Exp $
 */
public interface JunNibChoiceWithColorDialogView extends StSimpleDialogView {

	/**
	 * Answer my model as a JunNibChoiceWithColorDialog.
	 * 
	 * @return sra.jun.goodies.colors.JunNibChoiceWithColorDialog
	 * @category model accessing
	 */
	public JunNibChoiceWithColorDialog getNibChoiceDialog();

}
