package sra.jun.goodies.plotter;

import sra.jun.goodies.pen.JunPenTransformation;
import sra.smalltalk.StView;

/**
 * JunPlotterView interface
 * 
 *  @author    Nobuto Matsubara
 *  @created   2003/10/30 (by Nobuto Matsubara)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunPlotterView.java,v 1.6 2004/04/15 06:28:01 nisinaka Exp $
 */
public interface JunPlotterView extends StView {
	
	/**
	 * Answer a JunTransformation object.
	 * 
	 * @return sra.jun.goodies.pen.JunPenTransformation
	 * @category accessing
	 */
	public JunPenTransformation viewingTransformation();
	
	/**
	 * Set a JunTransformation object.
	 * 
	 * @param aTransformation sra.jun.goodies.pen.JunPenTransformation
	 * @category accessing
	 */
	public void viewingTransformation_(JunPenTransformation aTransformation);
}
