package sra.jun.goodies.sound;

import sra.smalltalk.StView;

/**
 * JunSoundMeterView interface
 * 
 *  @author    Hoshi Takanori
 *  @created   2003/08/29 (by Hoshi Takanori)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun433 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSoundMeterView.java,v 6.5 2004/04/15 06:28:03 nisinaka Exp $
 */
public interface JunSoundMeterView extends StView {

	/**
	 * Answer my model as JunSoundMeterModel.
	 *
	 * @return sra.jun.goodies.sound.JunSoundMeterModel
	 */
	public JunSoundMeterModel getSoundMeterModel();
}
