package sra.jun.goodies.track;

import sra.smalltalk.StView;

/**
 * JunTrackerView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/12/10 (by MATSUDA Ryouichi)
 *  @updated   2003/03/24 (by nisinaka)
 *  @version   445 (with StPL6.5) based on Jun472 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunTrackerView.java,v 6.5 2004/04/15 06:28:03 nisinaka Exp $
 */
public interface JunTrackerView extends StView {

	/**
	 * Answer my model as JunTrackerModel.
	 * 
	 * @return sra.jun.goodies.track.JunTrackerModel
	 */
	public JunTrackerModel getTrackerModel();
}
