package sra.jun.goodies.wheels;

import java.awt.*;
import sra.smalltalk.StView;

/**
 * JunThumbWheelView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   1999/12/17 (by MATSUDA Ryouichi)
 *  @updated   2000/11/16 (by Mitsuhiro Asada)
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunThumbWheelView.java,v 6.5 2004/04/15 06:28:04 nisinaka Exp $
 */
public interface JunThumbWheelView extends StView {

	/**
	 * Vertical property.
	 * 
	 * @return boolean
	 */
	public boolean isVertical();

	/**
	 * Please refer to the corresponding method in Smalltalk.
	 * 
	 * @param deltaPoint java.awt.Point
	 */
	public abstract void rotateDelta_(Point deltaPoint);

	/**
	 * Vertical property.
	 * 
	 * @param aBoolean boolean
	 */
	public void setVertical(boolean aBoolean);
}
