package sra.jun.octree.editor;

import sra.jun.octree.basic.*;

/**
 * JunOctreeEditModelTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2000/01/02 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOctreeEditModelTestExamples.java,v 6.5 2004/04/15 06:28:05 nisinaka Exp $
 */
public class JunOctreeEditModelTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunOctreeEditModel editModel = new JunOctreeEditModel(JunOctree.Unity());
		editModel.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunOctreeEditModel editModel = new JunOctreeEditModel(Jun27Tree.Unity());
		editModel.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunOctreeEditModelTestExamples();
	}
}
