package sra.jun.opengl.flux;

import sra.jun.opengl.display.JunOpenGLDisplayView;

/**
 * JunOpenGLFluxView interface
 * 
 *  @author    MATSUDA Ryouichi
 *  @created   2000/01/20 (by MATSUDA Ryouichi)
 *  @updated   2003/03/24 (by nisinaka)
 *  @updated   2004/03/16 (by nisinaka)
 *  @version   445 (with StPL6.5) based on Jun490 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLFluxView.java,v 6.6 2004/04/15 06:28:08 nisinaka Exp $
 */
public interface JunOpenGLFluxView extends JunOpenGLDisplayView {

	/**
	 * Answer my model as JunOpenGLFluxModel.
	 * 
	 * @return sra.jun.opengl.flux.JunOpenGLFluxModel
	 */
	public JunOpenGLFluxModel getOpenGLFluxModel();

}
