package sra.jun.system.framework;

import sra.jun.system.support.JunSystem;

/**
 * JunDialogTestExamples class
 * 
 *  @author    
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunDialogTestExamples.java,v 6.6 2004/04/15 06:28:11 nisinaka Exp $
 */
public class JunDialogTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * Example to confirm.
	 * 
	 * @return boolean
	 */
	public static boolean Example_confirm() {
		System.out.println(JunDialog.Confirm_(JunSystem.$String("Are you happy?")));
		return true;
	}

	/**
	 * Example to request.
	 * 
	 * @return boolean
	 */
	public static boolean Example_request() {
		System.out.println(JunDialog.Request_(JunSystem.$String("What is your name?"), JunSystem.$String("Yoshiyuki NISHINAKA")));
		return true;
	}

	/**
	 * Example to warn.
	 * 
	 * @return boolean
	 */
	public static boolean Example_warn() {
		System.out.println(JunDialog.Warn_(JunSystem.$String("This is a fatal error.")));
		return true;
	}

	/**
	 * Execute the test examples.
	 *
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunDialogTestExamples();
	}
}
