package sra.jun.topology.euleroperators;

import sra.jun.geometry.basic.*;
import sra.jun.system.support.*;
import sra.jun.topology.elements.*;

/**
 * JunKEVVLTestExamples class
 * 
 *  @author    ASTI Shanghai
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunKEVVLTestExamples.java,v 6.5 2004/04/15 06:28:15 nisinaka Exp $
 */
public class JunKEVVLTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return DOCUMENT ME!
	 */
	public static boolean example1() {
		/*        "JunKEVVL example1."
		*        "Create an edge and repeat undo-redo for 10 times." 
		*
		*        | mevvl |
		*        mevvl := JunMEVVL
		*                                body: JunBody new
		*                                point: 0 , 0 , 0
		*                                point: 1 , 0 , 0.
		*        mevvl do.
		*        10
		*                timesRepeat: 
		*                        [mevvl undo.
		*                        mevvl do].
		*        ^mevvl! ! 
		*/
		JunMEVVL mevvl;
		int i;

		mevvl = JunMEVVL.Body_point_point_(new JunBody(), new Jun3dPoint(0, 0, 0), new Jun3dPoint(1, 0, 0));
		mevvl.doOperation();

		for (i = 0; i < 10; i++) {
			mevvl.undoOperation();
			mevvl.doOperation();
		}

		//	return mevvl;
		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunKEVVLTestExamples();
	}
}
