package sra.jun.topology.euleroperators;

import sra.jun.geometry.basic.*;
import sra.jun.system.support.*;
import sra.jun.topology.elements.*;

/**
 * JunMEVVLTestExamples class
 * 
 *  @author    ASTI Shanghai
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunMEVVLTestExamples.java,v 6.5 2004/04/15 06:28:15 nisinaka Exp $
 */
public class JunMEVVLTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return DOCUMENT ME!
	 */
	public static boolean example1() {
		/* "JunMEVVL example1."
		*
		*        | mevvl |
		*        mevvl := JunMEVVL
		*                                body: JunBody new
		*                                point: 0 , 0 , 0
		*                                point: 1 , 0 , 0.
		*        mevvl do.
		*        ^mevvl! ! 
		*/
		JunMEVVL mevvl;
		mevvl = JunMEVVL.Body_point_point_(new JunBody(), new Jun3dPoint(0, 0, 0), new Jun3dPoint(1, 0, 0));
		mevvl.doOperation();

		//return mevvl;
		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunMEVVLTestExamples();
	}
}
