package sra.jun.voronoi.twoD.diagram;

import sra.jun.system.support.JunTestExamples;

/**
 * JunVoronoi2dDotTestExamples class
 * 
 *  @author    NISHIHARA Satoshi
 *  @created   2000/01/25 (by NISHIHARA Satoshi)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVoronoi2dDotTestExamples.java,v 6.5 2004/04/15 06:28:17 nisinaka Exp $
 */
public class JunVoronoi2dDotTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunVoronoi2dDot dot = new JunVoronoi2dDot(1, 1);
		System.out.println(dot);

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunVoronoi2dDot dot1 = new JunVoronoi2dDot(0, 0);
		JunVoronoi2dDot dot2 = new JunVoronoi2dDot(1, 1);
		double distance = dot1.distance_(dot2);
		System.out.println(distance);

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunVoronoi2dDot dot1 = new JunVoronoi2dDot(0, 0);
		JunVoronoi2dDot dot2 = new JunVoronoi2dDot(1, 1);
		JunVoronoi2dLine bisector = dot1.bisector_(dot2);
		System.out.println(bisector);

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * 
	 * @throws Exception DOCUMENT ME!
	 */
	public static void main(String[] args) throws Exception {
		new JunVoronoi2dDotTestExamples();
	}
}
