package sra.jun.voronoi.twoD.diagram;

import sra.jun.system.support.JunTestExamples;

/**
 * JunVoronoi2dPointTestExamples class
 * 
 *  @author    NISHIHARA Satoshi
 *  @created   2000/01/25 (by NISHIHARA Satoshi)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVoronoi2dPointTestExamples.java,v 6.5 2004/04/15 06:28:17 nisinaka Exp $
 */
public class JunVoronoi2dPointTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunVoronoi2dPoint point = new JunVoronoi2dPoint(1, 1);
		System.out.println(point);

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunVoronoi2dPoint point1 = new JunVoronoi2dPoint(0, 0);
		JunVoronoi2dPoint point2 = new JunVoronoi2dPoint(1, 1);
		System.out.println(point1.distance_(point2));

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunVoronoi2dPoint point1 = new JunVoronoi2dPoint(0, 0);
		JunVoronoi2dPoint point2 = new JunVoronoi2dPoint(1, 1);
		System.out.println(point1.bisector_(point2));

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 * 
	 * @throws Exception DOCUMENT ME!
	 */
	public static void main(String[] args) throws Exception {
		new JunVoronoi2dPointTestExamples();
	}
}
