package sra.jun.vrml.node.abstracts;

/**
 * JunVrmlAbstractGroupingNode class
 * 
 *  @author    ASTI Beijing
 *  @created   UNKNOWN
 *  @updated   2000/03/27 (by nisinaka)
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunVrmlAbstractGroupingNode.java,v 6.5 2004/04/15 06:28:18 nisinaka Exp $
 */
public abstract class JunVrmlAbstractGroupingNode extends JunVrmlNode {

	/**
	 * Answer true if the receiver is a grouping node, otherwise false.
	 * 
	 * @return boolean
	 */
	public boolean isGroupingNode() {
		return true;
	}
}
