package sra.jun.goodies.animation;

import java.awt.Color;
import java.awt.Rectangle;
import sra.smalltalk.StView;

/**
 * JunCartoonMovieView interface
 * 
 *  @author    Nobuto Matsubara
 *  @created   2004/02/05 (By Nobuto Matsubara)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun519 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCartoonMovieView.java,v 6.7 2004/04/15 06:27:53 nisinaka Exp $
 */
public interface JunCartoonMovieView extends StView {

	/**
	 * Answer bounds.
	 * 
	 * @return java.awt.Rectangle
	 */
	public Rectangle getBounds();

	/**
	 * Answer background color.
	 * 
	 * @return java.awt.Color
	 */
	public Color backgroundColor();

}
