package sra.jun.goodies.bulletinboard;

import java.awt.Dimension;
import sra.smalltalk.*;

/**
 * JunBulletinBoardView interface
 * 
 *  @author    nisinaka
 *  @created   2002/11/27 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunBulletinBoardView.java,v 6.5 2004/04/15 06:27:54 nisinaka Exp $
 */
public interface JunBulletinBoardView extends StView {

	public static String DefaultWindowLabel = "Bulletin Board";
	public static Dimension DefaultWindowSize = new Dimension(200, 24);

	/**
	 * Display the current content.
	 */
	public void display();
}
