package sra.jun.goodies.cursors;

import sra.jun.system.support.JunTestExamples;

/**
 * JunCursorsTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2002/11/27 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun472 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunCursorsTestExamples.java,v 6.5 2004/04/15 06:27:56 nisinaka Exp $
 */
public class JunCursorsTestExamples extends JunTestExamples {

	/**
	 * Example1: show and restore
	 * 
	 * @return DOCUMENT ME!
	 */
	public static boolean Example1() {
		JunCursors cursor = new JunCursors(JunCursors.ClockCursor());
		try {
			// Set the cursor for all frames.
			cursor._show();

			// Do something while showing the cursor.
			Thread.sleep(1000);
		} catch (InterruptedException e) {
		} finally {
			// Restore the cursor for all frames.
			cursor._restore();
		}
		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunCursorsTestExamples();
	}
}
