package sra.jun.goodies.freehand;

import java.awt.Color;
import sra.jun.system.support.JunTestExamples;

/**
 * JunFreehandPageTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2002/07/05 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunFreehandPageTestExamples.java,v 6.6 2004/04/15 06:27:57 nisinaka Exp $
 */
public class JunFreehandPageTestExamples extends JunTestExamples {

	/**
	 * Example1: Open a freehand page.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunFreehandPage freehandPage = new JunFreehandPage();
		freehandPage.nibColor_(Color.black);
		freehandPage.nibWidth_(2);
		freehandPage.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunFreehandPageTestExamples();
	}
}
