package sra.jun.goodies.itemlist;

import sra.smalltalk.StView;

/**
 * JunChoiceListDialogViewSwing class
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2003/12/15 (by Mitsuhiro Asada)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun465 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunChoiceListDialogViewSwing.java,v 1.6 2004/04/15 06:27:58 nisinaka Exp $
 */
public class JunChoiceListDialogViewSwing extends JunItemListDialogViewSwing implements JunChoiceListDialogView {
	/**
	 * Create a new instance of JunChoiceListDialogViewSwing and initialize it.
	 *
	 * @param aChoiceListDialog sra.jun.goodies.itemlist.JunChoiceListDialog
	 * @category Instance creation
	 */
	public JunChoiceListDialogViewSwing(JunChoiceListDialog aChoiceListDialog) {
		super(aChoiceListDialog);
	}

	/**
	 * Answer my order list view.
	 *
	 * @return sra.smalltalk.StView
	 * @category interface opening
	 */
	protected StView orderListView() {
		if (orderListView == null) {
			orderListView = JunChoiceListViewSwing.OnScrollPaneWithButtons((JunChoiceListModel) this.getOrderListDialog().itemListModel());
		}
		return orderListView;
	}
}
