package sra.jun.goodies.itemlist;

import sra.smalltalk.StSimpleDialogView;

/**
 * JunOrderListDialogView interface
 * 
 *  @author    Mitsuhiro Asada
 *  @created   2003/12/12 (by Mitsuhiro Asada)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun465 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOrderListDialogView.java,v 1.6 2004/04/15 06:27:58 nisinaka Exp $
 */
public interface JunOrderListDialogView extends StSimpleDialogView {
	/**
	 * Answer my model as a JunOrderListDialog.
	 *
	 * @return sra.jun.goodies.itemlist.JunOrderListDialog
	 * @category model accessing
	 */
	public JunOrderListDialog getOrderListDialog();
}
