package sra.jun.goodies.parameter;

/**
 * JunParameterModelTestExamples class
 * 
 *  @author    UNKNOWN
 *  @created   UNKNOWN
 *  @updated   2003/01/17 (by nisinaka)
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunParameterModelTestExamples.java,v 6.6 2004/04/15 06:28:00 nisinaka Exp $
 */
public class JunParameterModelTestExamples extends sra.jun.system.support.JunTestExamples {

	/**
	 * Example1: open JunParameterModel.
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		(new JunParameterModel()).open();
		return true;
	}

	/**
	 * Examle2: open JunParameterModel with 1 parameter.
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunParameterModel.OpenOnParameter_(new JunParameter("height", 6, 3, 12));

		return true;
	}

	/**
	 * Examle3: open JunParameterModel with 1 parameter.
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunParameterModel.OpenOnParameter_(new JunParameter("angle", 15, 0, 60, 5));
		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunParameterModelTestExamples();
	}
}
