package sra.jun.goodies.utilities;

import sra.jun.system.support.JunTestExamples;

/**
 * JunStringUtilityTestExamples class
 * 
 *  @author    nisinaka
 *  @created   2004/01/13 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on Jun500 for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunStringUtilityTestExamples.java,v 6.3 2004/04/15 06:28:03 nisinaka Exp $
 */
public class JunStringUtilityTestExamples extends JunTestExamples {

	/**
	 * Example_StringMatch :
	 *  
	 * @return boolean
	 */
	public static boolean Example_StringMatch() {
		boolean match = JunStringUtility.StringMatch_and_("Jun Aoki", "Ju*[A-B]?ki");
		return match;
	}

	/**
	 * Execute all test examples.
	 * 
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		new JunStringUtilityTestExamples();
	}
}
