package sra.jun.opengl.chart;

import java.awt.Color;
import sra.jun.system.support.JunTestExamples;

/**
 * JunChartPlotWithNumericalKeysTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1999/01/14 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunChartPlotWithNumericalKeysTestExamples.java,v 6.5 2004/04/15 06:28:06 nisinaka Exp $
 */
public class JunChartPlotWithNumericalKeysTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example() {
		JunChartPlotWithNumericalKeys aChart = new JunChartPlotWithNumericalKeys(JunChartDataWithNumericalKeysTestExamples.SampleSamples());
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunChartPlotWithNumericalKeys aChart = new JunChartPlotWithNumericalKeys(JunChartDataWithNumericalKeysTestExamples.SampleSamples());
		aChart.showXAxisWithLabels();
		aChart.showYAxisWithLabels();
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunChartPlotWithNumericalKeys aChart = new JunChartPlotWithNumericalKeys(JunChartDataWithNumericalKeysTestExamples.SampleSamples());
		aChart.pointSize_(0.05);
		aChart.showXAxisWithLabels();
		aChart.showYAxisWithLabels();
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunChartPlotWithNumericalKeys aChart = new JunChartPlotWithNumericalKeys(JunChartDataTestExamples.SampleSamples2());
		aChart.showXAxisWithLabels();
		aChart.showYAxisWithLabels();
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example4() {
		JunChartPlotWithNumericalKeys aChart = new JunChartPlotWithNumericalKeys(JunChartDataTestExamples.SampleSamples2());
		aChart.valueRangeFrom_to_(0, 350);
		aChart.keyRangeFrom_to_(0.5, 4.5);
		aChart.colors_(new Color[] { new Color(255, 127, 0), new Color(127, 63, 63)});
		aChart.showXAxisWithLabels();
		aChart.showYAxisWithLabels();
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example5() {
		JunChartPlotWithNumericalKeys aChart = new JunChartPlotWithNumericalKeys(JunChartDataTestExamples.SampleSamples2());
		aChart.valueRangeFrom_to_(0, 350);
		aChart.keyRangeFrom_to_(0.5, 4.5);
		aChart.colors_(new Color[] { new Color(255, 127, 0), new Color(127, 63, 63)});
		aChart.axisColor_(Color.red);
		aChart.labelForegroundColor_(Color.red);
		aChart.labelBackgroundColor_(Color.green);
		aChart.showXAxisWithLabels();
		aChart.showYAxisWithLabels();
		aChart.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunChartPlotWithNumericalKeysTestExamples();
	}
}
