package sra.jun.opengl.chart;

import java.awt.Color;
import sra.jun.system.support.JunTestExamples;

/**
 * JunChartRadarTestExamples class
 * 
 *  @author    nisinaka
 *  @created   1999/01/14 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunChartRadarTestExamples.java,v 6.5 2004/04/15 06:28:06 nisinaka Exp $
 */
public class JunChartRadarTestExamples extends JunTestExamples {

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example() {
		JunChartRadar aChart = new JunChartRadar(JunChartDataTestExamples.SampleSamples());
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example1() {
		JunChartRadar aChart = new JunChartRadar(JunChartDataTestExamples.SampleSamples());
		aChart.showAxesWithLabels();
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example2() {
		JunChartRadar aChart = new JunChartRadar(JunChartDataTestExamples.SampleSamples(), 1);
		aChart.pointSize_(0.05);
		aChart.lineWidth_(3);
		aChart.showAxesWithLabels();
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example3() {
		JunChartRadar aChart = new JunChartRadar(JunChartDataTestExamples.SampleSamples2(), 1);
		aChart.pointSize_(0.05);
		aChart.lineWidth_(3);
		aChart.showAxesWithLabels();
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example4() {
		JunChartRadar aChart = new JunChartRadar(JunChartDataTestExamples.SampleSamples2(), 1);
		aChart.pointSize_(0.05);
		aChart.lineWidth_(3);
		aChart.valueRangeFrom_to_(0, 350);
		aChart.colors_(new Color[] { new Color(255, 127, 0), new Color(127, 63, 63)});
		aChart.showAxesWithLabels();
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean Example5() {
		JunChartRadar aChart = new JunChartRadar(JunChartDataTestExamples.SampleSamples2(), 1);
		aChart.pointSize_(0.05);
		aChart.lineWidth_(3);
		aChart.valueRangeFrom_to_(0, 350);
		aChart.colors_(new Color[] { new Color(255, 127, 0), new Color(127, 63, 63)});
		aChart.axisColor_(Color.red);
		aChart.labelForegroundColor_(Color.red);
		aChart.labelBackgroundColor_(Color.green);
		aChart.showAxesWithLabels();
		aChart.open();

		return true;
	}

	/**
	 * DOCUMENT ME!
	 * 
	 * @return boolean
	 */
	public static boolean ExampleX() {
		JunChartRadar aChart = new JunChartRadar(JunChartDataTestExamples.SampleSamples2(), 1);
		aChart.pointSize_(0.05);
		aChart.lineWidth_(3);
		aChart.valueRangeFrom_to_(0, 350);
		aChart.colors_(new Color[] { new Color(255, 127, 0), new Color(127, 63, 63)});
		aChart.axisColor_(Color.red);
		aChart.labelForegroundColor_(Color.red);
		aChart.labelBackgroundColor_(Color.green);
		aChart.showAxes();
		aChart.open();

		return true;
	}

	/**
	 * Execute all examples.
	 * 
	 * @param args an array of command-line arguments
	 */
	public static void main(java.lang.String[] args) {
		new JunChartPlotWithNumericalKeysTestExamples();
	}
}
