package sra.jun.opengl.display;

import sra.smalltalk.StController;

/**
 * JunOpenGLEmbeddedDisplayViewSwing class
 * 
 *  @author    nisinaka
 *  @created   2003/01/08 (by nisinaka)
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunOpenGLEmbeddedDisplayViewSwing.java,v 6.5 2004/04/15 06:28:07 nisinaka Exp $
 */
public class JunOpenGLEmbeddedDisplayViewSwing extends JunOpenGLDisplayViewSwing implements JunOpenGLEmbeddedDisplayView {

	/**
	 * Create a new instance of JunOpenGLEmbeddedDisplayViewSwing and initialize it.
	 *
	 * @param aModel sra.jun.opengl.display.JunOpenGLEmbeddedDisplayModel
	 */
	public JunOpenGLEmbeddedDisplayViewSwing(JunOpenGLEmbeddedDisplayModel aModel) {
		super(aModel);
		this.getOpenGLView().setPopupMenu(aModel.popupMenu());
	}

	/**
	 * Answer a default controller.
	 * 
	 * @return sra.smalltalk.StController
	 */
	protected StController defaultController() {
		return new JunOpenGLEmbeddedDisplayController();
	}
}
