package sra.jun.topology.abstracts;

/**
 * JunGeometricOperator class
 * 
 *  @author    ASTI Shanghai
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunGeometricOperator.java,v 6.5 2004/04/15 06:28:13 nisinaka Exp $
 */
public abstract class JunGeometricOperator extends JunAbstractOperator {

	/**
	 * Answer true if the receiver is a kind of Geometric Operator.
	 * 
	 * @return boolean
	 */
	public boolean isGeometricOperator() {
		return true;
	}

	/**
	 * Answer true if the receiver can be inverted.
	 * 
	 * @return boolean
	 */
	public boolean isInversable() {
		return true;
	}
}
