package sra.jun.topology.support;

import sra.jun.topology.abstracts.JunAbstractOperator;
import sra.jun.topology.elements.JunBody;

/*
 * @(#)JunSolidModelingEngine.java        1.0 98/9/15
 */
import sra.smalltalk.StObject;

/**
 * JunSolidModelingEngine class
 * 
 *  @author    ASTI Shanghai
 *  @created   UNKNOWN
 *  @updated   N/A
 *  @version   445 (with StPL6.5) based on JunXXX for Smalltalk
 *  @copyright 1999-2004 SRA (Software Research Associates, Inc.)
 *  @copyright 1999-2004 Information-technology Promotion Agency, Japan (IPA)
 *  @copyright 2001-2004 SRA/KTL (SRA Key Technology Laboratory, Inc.)
 * 
 * $Id: JunSolidModelingEngine.java,v 6.5 2004/04/15 06:28:17 nisinaka Exp $
 */
public class JunSolidModelingEngine extends StObject {
	/** a body. */
	private JunBody body;

	/**
	 * return a body.
	 * 
	 * @return sra.jun.topology.elements.JunBody
	 */
	public JunBody body() {
		return body;
	}

	/**
	 * do operation.
	 * 
	 * @param aAbstractOperation sra.jun.topology.abstracts.JunAbstractOperator
	 * 
	 * @return sra.jun.topology.element.JunBody
	 */
	public JunBody operation_(JunAbstractOperator aAbstractOperation) {
		aAbstractOperation.body_(body);

		//       	revisionManager.newOperation_(aJunAbstractOperation);
		return body;
	}
}
